Bug 44617 - segv when chaging fonts using keypad plus/minus
segv when chaging fonts using keypad plus/minus
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rxvt (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 14:23 EDT by Tethys
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-14 07:27:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2001-06-14 14:23:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5 i686; en-US; rv:0.9.1)
Gecko/20010607

Description of problem:
rxvt lets you change the font size using shift and keypad plus/minus.
Under RH7.1, this causes a segv, killing the rxvt process.

How reproducible:
Always

Steps to Reproduce:
1. Start an rxvt
2. Press shift-<keypad-plus> or shift-<keypad-minus>
3.
	

Actual Results:  rxvt dies

Expected Results:  The font size should change

Additional info:

This has already been mentioned by someone else in bug 18326.

Here's some gdb output:

Starting program: /usr/X11R6/bin/rxvt 
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...
Program received signal SIGSEGV, Segmentation fault.
0x40049957 in XFindOnExtensionList () from /usr/X11R6/lib/libX11.so.6
(gdb) bt
#0  0x40049957 in XFindOnExtensionList () from /usr/X11R6/lib/libX11.so.6
#1  0x40043c6b in _XF86BigfontFreeFontMetrics ()
   from /usr/X11R6/lib/libX11.so.6
#2  0x40042fcb in XFreeFont () from /usr/X11R6/lib/libX11.so.6
#3  0x080514c3 in strcpy () at ../sysdeps/generic/strcpy.c:31
#4  0x0804ba50 in strcpy () at ../sysdeps/generic/strcpy.c:31
#5  0x0804c611 in strcpy () at ../sysdeps/generic/strcpy.c:31
#6  0x0804c303 in strcpy () at ../sysdeps/generic/strcpy.c:31
#7  0x0804effc in strcpy () at ../sysdeps/generic/strcpy.c:31
#8  0x0804b873 in strcpy () at ../sysdeps/generic/strcpy.c:31
#9  0x4013d177 in __libc_start_main (main=0x804b840 <strcpy+272>, argc=1, 
    ubp_av=0xbffff814, init=0x804a9c8 <_init>, fini=0x806286c <_fini>, 
    rtld_fini=0x4000e184 <_dl_fini>, stack_end=0xbffff80c)
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Harald Hoyer 2001-06-15 06:18:21 EDT
No problem with:
$ rpm -q XFree86 rxvt 
XFree86-4.1.0-0.0.2
rxvt-2.7.6-2

Comment 2 ckulesa 2001-07-13 03:55:04 EDT
Just FYI, it appears to be merely sufficient to apply the rawhide rxvt package (rxvt-2.7.6-2 in this case).  Updating XFree is unnecessary.  

However, this really isn't a WORKSFORME solution -- the package in stock 7.1 is clearly broken in this regard and updates via the usual channel aren't available. 

It should be relabeled as RESOLVED --> RAWHIDE. 

Comment 3 Harald Hoyer 2001-07-14 07:28:30 EDT
if you say so.. ;)

Note You need to log in before you can comment on or make changes to this bug.